package org.springblade.enums;

public enum EquipmentActiveEnum {
	/**
	 * 关闭
	 */
	ACTIVE_OFF(0, "关闭"),

	/**
	 * 开启
	 */
	ACTIVE_OPEN(1, "开启");



	private int code;

	private String name;

	private EquipmentActiveEnum(int code, String name) {
		this.code = code;
		this.name = name;
	}

	/**
	 * Function:根据code来获取对应的name
	 * Author: Admin
	 * Date:2021/6/26
	 * @param code
	 * @return java.lang.String
	 * @throws Exception
	 */
	public static String getName(int code) {
		for (EquipmentActiveEnum type : EquipmentActiveEnum.values()) {
			if (type.code == code) {
				return type.name;
			}
		}
		return "";
	}

	/**
	 * Function:根据code来获取对应的枚举常量
	 * Author: Admin
	 * Date:2021/6/26
	 * @param code
	 * @return com.zhgzjg.web.enums.DeleteFlag
	 * @throws Exception
	 */
	public static EquipmentActiveEnum getEnumByCode(int code) {
		for (EquipmentActiveEnum type : EquipmentActiveEnum.values()) {
			if (type.code == code) {
				return type;
			}
		}
		return null;
	}


	/**
	 * Function:根据name来获取对应的枚举常量
	 * Author: Admin
	 * Date:2021/6/26
	 * @param name
	 * @return com.zhgzjg.web.enums.DeleteFlag
	 * @throws Exception
	 */
	public static EquipmentActiveEnum getEnumByName(String name) {
		for (EquipmentActiveEnum type : EquipmentActiveEnum.values()) {
			if (type.name.equals(name)) {
				return type;
			}
		}
		return null;
	}


	public int getCode() {
		return code;
	}

	public void setCode(int code) {
		this.code = code;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}
}
